|
|
902636 |
From 55f3a02574da226299d99bd74d12dd91b0f228dc Mon Sep 17 00:00:00 2001
|
|
|
902636 |
From: Maxim Levitsky <mlevitsk@redhat.com>
|
|
|
902636 |
Date: Wed, 11 Mar 2020 10:51:46 +0000
|
|
|
902636 |
Subject: [PATCH 05/20] iotests: Add test for image creation fallback
|
|
|
902636 |
|
|
|
902636 |
RH-Author: Maxim Levitsky <mlevitsk@redhat.com>
|
|
|
902636 |
Message-id: <20200311105147.13208-6-mlevitsk@redhat.com>
|
|
|
902636 |
Patchwork-id: 94228
|
|
|
902636 |
O-Subject: [RHEL-AV-8.2.0 qemu-kvm PATCH v2 5/6] iotests: Add test for image creation fallback
|
|
|
902636 |
Bugzilla: 1640894
|
|
|
902636 |
RH-Acked-by: Stefano Garzarella <sgarzare@redhat.com>
|
|
|
902636 |
RH-Acked-by: John Snow <jsnow@redhat.com>
|
|
|
902636 |
RH-Acked-by: Max Reitz <mreitz@redhat.com>
|
|
|
902636 |
|
|
|
902636 |
From: Max Reitz <mreitz@redhat.com>
|
|
|
902636 |
|
|
|
902636 |
Signed-off-by: Max Reitz <mreitz@redhat.com>
|
|
|
902636 |
Message-Id: <20200122164532.178040-6-mreitz@redhat.com>
|
|
|
902636 |
Reviewed-by: Eric Blake <eblake@redhat.com>
|
|
|
902636 |
Reviewed-by: Maxim Levitsky <mlevitsk@redhat.com>
|
|
|
902636 |
[mreitz: Added a note that NBD does not support resizing, which is why
|
|
|
902636 |
the second case is expected to fail]
|
|
|
902636 |
Signed-off-by: Max Reitz <mreitz@redhat.com>
|
|
|
902636 |
(cherry picked from commit 4dddeac115c5a2c5f74731fda0afd031a0b45490)
|
|
|
902636 |
Signed-off-by: Maxim Levitsky <mlevitsk@redhat.com>
|
|
|
902636 |
|
|
|
902636 |
Signed-off-by: Danilo C. L. de Paula <ddepaula@redhat.com>
|
|
|
902636 |
---
|
|
|
902636 |
tests/qemu-iotests/259 | 62 ++++++++++++++++++++++++++++++++++++++++++++++
|
|
|
902636 |
tests/qemu-iotests/259.out | 14 +++++++++++
|
|
|
902636 |
tests/qemu-iotests/group | 1 +
|
|
|
902636 |
3 files changed, 77 insertions(+)
|
|
|
902636 |
create mode 100755 tests/qemu-iotests/259
|
|
|
902636 |
create mode 100644 tests/qemu-iotests/259.out
|
|
|
902636 |
|
|
|
902636 |
diff --git a/tests/qemu-iotests/259 b/tests/qemu-iotests/259
|
|
|
902636 |
new file mode 100755
|
|
|
902636 |
index 0000000..62e29af
|
|
|
902636 |
--- /dev/null
|
|
|
902636 |
+++ b/tests/qemu-iotests/259
|
|
|
902636 |
@@ -0,0 +1,62 @@
|
|
|
902636 |
+#!/usr/bin/env bash
|
|
|
902636 |
+#
|
|
|
902636 |
+# Test generic image creation fallback (by using NBD)
|
|
|
902636 |
+#
|
|
|
902636 |
+# Copyright (C) 2019 Red Hat, Inc.
|
|
|
902636 |
+#
|
|
|
902636 |
+# This program is free software; you can redistribute it and/or modify
|
|
|
902636 |
+# it under the terms of the GNU General Public License as published by
|
|
|
902636 |
+# the Free Software Foundation; either version 2 of the License, or
|
|
|
902636 |
+# (at your option) any later version.
|
|
|
902636 |
+#
|
|
|
902636 |
+# This program is distributed in the hope that it will be useful,
|
|
|
902636 |
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
|
902636 |
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
|
902636 |
+# GNU General Public License for more details.
|
|
|
902636 |
+#
|
|
|
902636 |
+# You should have received a copy of the GNU General Public License
|
|
|
902636 |
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
|
902636 |
+#
|
|
|
902636 |
+
|
|
|
902636 |
+# creator
|
|
|
902636 |
+owner=mreitz@redhat.com
|
|
|
902636 |
+
|
|
|
902636 |
+seq=$(basename $0)
|
|
|
902636 |
+echo "QA output created by $seq"
|
|
|
902636 |
+
|
|
|
902636 |
+status=1 # failure is the default!
|
|
|
902636 |
+
|
|
|
902636 |
+_cleanup()
|
|
|
902636 |
+{
|
|
|
902636 |
+ _cleanup_test_img
|
|
|
902636 |
+}
|
|
|
902636 |
+trap "_cleanup; exit \$status" 0 1 2 3 15
|
|
|
902636 |
+
|
|
|
902636 |
+# get standard environment, filters and checks
|
|
|
902636 |
+. ./common.rc
|
|
|
902636 |
+. ./common.filter
|
|
|
902636 |
+
|
|
|
902636 |
+_supported_fmt raw
|
|
|
902636 |
+_supported_proto nbd
|
|
|
902636 |
+_supported_os Linux
|
|
|
902636 |
+
|
|
|
902636 |
+
|
|
|
902636 |
+_make_test_img 64M
|
|
|
902636 |
+
|
|
|
902636 |
+echo
|
|
|
902636 |
+echo '--- Testing creation ---'
|
|
|
902636 |
+
|
|
|
902636 |
+$QEMU_IMG create -f qcow2 "$TEST_IMG" 64M | _filter_img_create
|
|
|
902636 |
+$QEMU_IMG info "$TEST_IMG" | _filter_img_info
|
|
|
902636 |
+
|
|
|
902636 |
+echo
|
|
|
902636 |
+echo '--- Testing creation for which the node would need to grow ---'
|
|
|
902636 |
+
|
|
|
902636 |
+# NBD does not support resizing, so this will fail
|
|
|
902636 |
+$QEMU_IMG create -f qcow2 -o preallocation=metadata "$TEST_IMG" 64M 2>&1 \
|
|
|
902636 |
+ | _filter_img_create
|
|
|
902636 |
+
|
|
|
902636 |
+# success, all done
|
|
|
902636 |
+echo "*** done"
|
|
|
902636 |
+rm -f $seq.full
|
|
|
902636 |
+status=0
|
|
|
902636 |
diff --git a/tests/qemu-iotests/259.out b/tests/qemu-iotests/259.out
|
|
|
902636 |
new file mode 100644
|
|
|
902636 |
index 0000000..ffed19c
|
|
|
902636 |
--- /dev/null
|
|
|
902636 |
+++ b/tests/qemu-iotests/259.out
|
|
|
902636 |
@@ -0,0 +1,14 @@
|
|
|
902636 |
+QA output created by 259
|
|
|
902636 |
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=67108864
|
|
|
902636 |
+
|
|
|
902636 |
+--- Testing creation ---
|
|
|
902636 |
+Formatting 'TEST_DIR/t.IMGFMT', fmt=qcow2 size=67108864
|
|
|
902636 |
+image: TEST_DIR/t.IMGFMT
|
|
|
902636 |
+file format: qcow2
|
|
|
902636 |
+virtual size: 64 MiB (67108864 bytes)
|
|
|
902636 |
+disk size: unavailable
|
|
|
902636 |
+
|
|
|
902636 |
+--- Testing creation for which the node would need to grow ---
|
|
|
902636 |
+qemu-img: TEST_DIR/t.IMGFMT: Could not resize image: Image format driver does not support resize
|
|
|
902636 |
+Formatting 'TEST_DIR/t.IMGFMT', fmt=qcow2 size=67108864 preallocation=metadata
|
|
|
902636 |
+*** done
|
|
|
902636 |
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
|
|
|
902636 |
index c0e8197..e47cbfc 100644
|
|
|
902636 |
--- a/tests/qemu-iotests/group
|
|
|
902636 |
+++ b/tests/qemu-iotests/group
|
|
|
902636 |
@@ -273,6 +273,7 @@
|
|
|
902636 |
256 rw quick
|
|
|
902636 |
257 rw
|
|
|
902636 |
258 rw quick
|
|
|
902636 |
+259 rw auto quick
|
|
|
902636 |
260 rw quick
|
|
|
902636 |
261 rw
|
|
|
902636 |
262 rw quick migration
|
|
|
902636 |
--
|
|
|
902636 |
1.8.3.1
|
|
|
902636 |
|